org.bouncycastle.jce.interfaces

## Interface MQVPublicKey

All Superinterfaces:
  java.security.Key, java.security.PublicKey, java.io.Serializable

All Known Implementing Classes:
  MQVPublicKeySpec

    public interface MQVPublicKey
    extends java.security.PublicKey

Static/ephemeral public key pair for use with ECMQV key agreement

### Field Summary

### Fields inherited from interface java.security.PublicKey

`serialVersionUID`

### Method Summary

Methods
`java.security.PublicKey` `getEphemeralKey()` return the ephemeral public key.
`java.security.PublicKey` `getStaticKey()` return the static public key.

### Methods inherited from interface java.security.Key

`getAlgorithm, getEncoded, getFormat`

### Method Detail

#### getStaticKey

    java.security.PublicKey getStaticKey()

return the static public key.

#### getEphemeralKey

    java.security.PublicKey getEphemeralKey()

return the ephemeral public key.